{% extends "base.html" %}

{% block head %}
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
{% endblock %}

{% block content %}

<h3>Results</h3>

<a href="{% url "vote:cats" %}"><button>Show me the cats!</button></a>

{% if is_submission_started and not is_submission_ended and perms.vote.add_submission and perms.vote.change_submission %}
    <br />
    <a href="{% url "vote:submission" %}"><button>Submit your cat</button></a>
{% elif is_vote_started and not is_vote_ended and perms.vote.add_vote and perms.vote.change_vote %}
    <br />
    <a href="{% url "vote:vote" %}"><button>Vote for the cutest cat</button></a>
{% endif %}

<p>Total number of registered votes: {{ total_nb_votes }}</p>

<table>
    <thead>
        <tr>
            <th>#</th>
            <th>cat</th>
            <th>score</th>
            <th>top vote</th>
            {% if is_vote_ended %}<th>owner</th>{% endif %}
        </tr>
    </thead>
    <tbody>
        {% for result in results %}
            <tr>
                <td>{{ forloop.counter }}</td>
                <td>
                    {{ result.0.cat_name }}
                    {% if forloop.counter <= 3 %}<i class="material-icons">star</i>{% endif %}
                    {% if forloop.counter <= 2 %}<i class="material-icons">star</i>{% endif %}
                    {% if forloop.counter <= 1 %}<i class="material-icons">star</i>{% endif %}
                    {% if forloop.counter == 42 %}<i class="material-icons">favorite</i>{% endif %}
                </td>
                <td>{{ result.1 }}</td>
                <td>{{ result.2 }}</td>
                {% if is_vote_ended %}<td>{{ result.0.submitter.username }}</td>{% endif %}
            </tr>
        {% endfor %}
    </tbody>
</table>

{% endblock %}
